ch.qos.logback.core.helpers

## Class Transform

- java.lang.Object
- - ch.qos.logback.core.helpers.Transform

    public class Transform
    extends java.lang.Object

Utility class for transforming strings.

Author:
  Ceki Gülcü, Michael A. McAngus

### Constructor Summary

Constructors
Constructor and Description
`Transform()`

### Method Summary

Methods
`static void` `appendEscapingCDATA(java.lang.StringBuilder output, java.lang.String str)` Ensures that embedded CDEnd strings (]]>) are handled properly within message, NDC and throwable tag text.
`static java.lang.String` `escapeTags(java.lang.String input)` This method takes a string which may contain HTML tags (ie, <b>, <table>, etc) and replaces any '<' and '>' characters with respective predefined entity references.
`static java.lang.String` `escapeTags(java.lang.StringBuffer buf)` This method takes a StringBuilder which may contain HTML tags (ie, <b>, <table>, etc) and replaces any '<' and '>' characters with respective predefined entity references.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Transform

    public Transform()

### Method Detail

#### escapeTags

    public static java.lang.String escapeTags(java.lang.String input)

This method takes a string which may contain HTML tags (ie, <b>, <table>, etc) and replaces any '<' and '>' characters with respective predefined entity references.

Parameters:
  `input` - The text to be converted.

#### escapeTags

    public static java.lang.String escapeTags(java.lang.StringBuffer buf)

This method takes a StringBuilder which may contain HTML tags (ie, <b>, <table>, etc) and replaces any '<' and '>' characters with respective predefined entity references.

Parameters:
  `buf` - StringBuffer to transform
Returns:

#### appendEscapingCDATA

    public static void appendEscapingCDATA(java.lang.StringBuilder output,
                           java.lang.String str)

Ensures that embedded CDEnd strings (]]>) are handled properly within message, NDC and throwable tag text.

Parameters:
  `output` - Writer. The initial CDSutart () of the CDATA section are the responsibility of the calling method.
  `str` - The String that is inserted into an existing CDATA Section.